theme-st-discount-badge {
  display: inline-block;
  z-index: 1;
}

theme-st-discount-badge:empty {
  display: none;
}

theme-st-discount-badge .st-discount-badge__text {
  display: block;
  width: 100%;
  box-sizing: border-box;
  background-color: var(--st-badge-bg-color, #fdf7f7);
  color: var(--st-badge-text-color, #c20000);
  border: var(--st-badge-border-width, 0) solid var(--st-badge-border-color, transparent);
  font-size: var(--st-badge-font-size, 14px);
  font-weight: var(--st-badge-font-weight, 700);
  text-align: var(--st-badge-text-align, center);
  border-radius: var(--st-badge-border-radius, 4px);
  padding: var(--st-badge-padding-y, 4px) var(--st-badge-padding-x, 8px);
}

@media (max-width: 959px) {
  theme-st-discount-badge .st-discount-badge__text {
    font-size: var(--st-badge-font-size-mobile, 14px);
    padding: var(--st-badge-padding-y-mobile, 4px) var(--st-badge-padding-x-mobile, 8px);
  }
}
